{
  "name": "@chance/chance-api",
  "version": "1.0.0",
  "description": "Serverless project to manage lambda functions for EventBridge processing",
  "main": "serverless.ts",
  "scripts": {
    "dev": "sls offline start",
    "test": "echo \"Error: no test specified\" && exit 1",
    "lint": "eslint --cache \"src/**/*.{js,jsx,ts,tsx}\"",
    "lint:fix": "eslint --cache --fix \"src/**/*.{js,jsx,ts,tsx}\"",
    "format": "prettier --ignore-path .gitignore ß--write \"**/*.+(js|ts|json)\""
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "*.{js,jsx,ts,tsx}": "yarn run lint:fix"
  },
  "engines": {
    "node": ">=14.15.0"
  },
  "dependencies": {
    "@aws-cdk/aws-iam": "^1.173.0",
    "@aws-sdk/client-pinpoint": "^3.262.0",
    "@aws-sdk/client-s3": "^3.245.0",
    "@chance/awsconfig": "workspace:*",
    "@chance/db": "workspace:*",
    "@middy/core": "^2.5.3",
    "@middy/http-json-body-parser": "^2.5.3",
    "@middy/sts": "^3.1.0",
    "aws-sdk": "^2.1295.0",
    "dotenv": "^16.0.3",
    "generate-password": "^1.7.0",
    "husky": "^8.0.1",
    "jsonwebtoken": "^8.5.1",
    "jwks-rsa": "^2.1.4",
    "knex": "^2.4.0",
    "lodash": "^4.17.21",
    "lodash.differencewith": "^4.5.0",
    "moment": "^2.29.4",
    "passport": "^0.6.0",
    "passport-google-oauth": "^2.0.0",
    "pg": "^8.8.0",
    "ulid": "^2.3.0",
    "util": "^0.12.4",
    "uuid": "^8.3.2"
  },
  "devDependencies": {
    "@serverless/typescript": "^3.0.0",
    "@types/aws-lambda": "^8.10.71",
    "@types/node": "^14.14.25",
    "@typescript-eslint/eslint-plugin": "^5.30.7",
    "@typescript-eslint/parser": "^5.30.7",
    "esbuild": "^0.14.11",
    "eslint": "^8.20.0",
    "eslint-config-airbnb-base": "^15.0.0",
    "eslint-config-airbnb-typescript": "^17.0.0",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-import": "^2.26.0",
    "eslint-plugin-prettier": "^4.2.1",
    "json-schema-to-ts": "^1.5.0",
    "prettier": "^2.7.1",
    "serverless": "^3.0.0",
    "serverless-esbuild": "^1.23.3",
    "serverless-offline": "^12.0.4",
    "ts-node": "^10.4.0",
    "tsconfig-paths": "^3.9.0",
    "typescript": "^4.1.3"
  },
  "author": "Robin E",
  "license": "MIT"
}